var BluetoothOperate = require('./bluetooth.js'); //可在app.js中创建一个唯一对象，重复使用同一设备编号时，采取直接连接方式不再进行蓝牙搜索。

let bluetoothOperate = new BluetoothOperate();

let machineNO = "" //设备编号
let key = "" //蓝牙密钥
let operateType = 'open'  //'open'开锁 'close'上锁 

bluetoothOperate.start(operateType, machineNO, key, (flag)=>{
    //flag == true 操作成功
    //flag == false 操作失败
    //end
});

//该方法将获取蓝牙操作过程中的日志，返回一个数组，可用在线JSON解析格式化
bluetoothOperate.getLog();

//获取设备返回的电池锁状态 0:打开 ，1:上锁
bluetoothOperate.getBatteryLockState();

//判断设备电池锁是否开启
bluetoothOperate.isOpenBatteryLock();

//获取设备运动状态 0:静止 ， 1:运动
bluetoothOperate.getMotionState();

//判断设备是否运动中
bluetoothOperate.isMotion();

//获取设备借还车状态 0:借车 ， 1:还车
bluetoothOperate.getBorrowState();

//判断设备是否已借车
bluetoothOperate.isBorrowed();

//获取设备电池电压
bluetoothOperate.getMachinevoltage();